# H245NegLogicalChannel Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245NegLogicalChannel:

[legend]
Collaboration diagram for H245NegLogicalChannel:
[legend]

## Public Member Functions

| H245NegLogicalChannel (H323EndPoint &endpoint, H323Connection &connection, const H323ChannelNumber &channelNumber)
| H245NegLogicalChannel (H323EndPoint &endpoint, H323Connection &connection, H323Channel &channel)
| ~H245NegLogicalChannel ()
virtual PBoolean | Open (const H323Capability &capability, unsigned sessionID, unsigned replacementFor=0)
virtual PBoolean | Close ()
virtual PBoolean | HandleOpen (const H245_OpenLogicalChannel &pdu)
virtual PBoolean | HandleOpenAck (const H245_OpenLogicalChannelAck &pdu)
virtual PBoolean | HandleOpenConfirm (const H245_OpenLogicalChannelConfirm &pdu)
virtual PBoolean | HandleReject (const H245_OpenLogicalChannelReject &pdu)
virtual PBoolean | HandleClose (const H245_CloseLogicalChannel &pdu)
virtual PBoolean | HandleCloseAck (const H245_CloseLogicalChannelAck &pdu)
virtual PBoolean | HandleRequestClose (const H245_RequestChannelClose &pdu)
virtual PBoolean | HandleRequestCloseAck (const H245_RequestChannelCloseAck &pdu)
virtual PBoolean | HandleRequestCloseReject (const H245_RequestChannelCloseReject &pdu)
virtual PBoolean | HandleRequestCloseRelease (const H245_RequestChannelCloseRelease &pdu)
virtual void | HandleTimeout ()
H323Channel * | GetChannel () const
bool | IsAwaitingEstablishment () const
bool | IsEstablished () const

## Protected Types

| e_Released
| e_AwaitingEstablishment
| e_Establishing
| e_Established
| e_AwaitingRelease
| e_AwaitingConfirmation
| e_AwaitingResponse
| e_NumStates
enum | States { e_Released, e_AwaitingEstablishment, e_Establishing, e_Established, e_AwaitingRelease, e_AwaitingConfirmation, e_AwaitingResponse, e_NumStates }

## Protected Member Functions

virtual void | Release ()

## Protected Attributes

H323Channel * | channel
H323ChannelNumber | channelNumber
enum H245NegLogicalChannel::States | state

## Friends

class | H245NegLogicalChannels

## Detailed Description

Logical Channel signalling on a H245 connection as per H245 section 8.4

## Member Enumeration Documentation

enum H245NegLogicalChannel::States `[protected]`

Enumerator:

  e_Released |
  e_AwaitingEstablishment |
  e_Establishing |
  e_Established |
  e_AwaitingRelease |
  e_AwaitingConfirmation |
  e_AwaitingResponse |
  e_NumStates |

## Constructor & Destructor Documentation

H245NegLogicalChannel::H245NegLogicalChannel | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection,
|  | const H323ChannelNumber & | channelNumber |
| ) |  |  |

H245NegLogicalChannel::H245NegLogicalChannel | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection,
|  | H323Channel & | channel |
| ) |  |  |

H245NegLogicalChannel::~H245NegLogicalChannel | ( |  | ) |

## Member Function Documentation

virtual PBoolean H245NegLogicalChannel::Close | ( |  | ) | `[virtual]`

H323Channel* H245NegLogicalChannel::GetChannel | ( |  | ) | const

virtual PBoolean H245NegLogicalChannel::HandleClose | ( | const H245_CloseLogicalChannel & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleCloseAck | ( | const H245_CloseLogicalChannelAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleOpen | ( | const H245_OpenLogicalChannel & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleOpenAck | ( | const H245_OpenLogicalChannelAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleOpenConfirm | ( | const H245_OpenLogicalChannelConfirm & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleReject | ( | const H245_OpenLogicalChannelReject & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleRequestClose | ( | const H245_RequestChannelClose & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleRequestCloseAck | ( | const H245_RequestChannelCloseAck & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleRequestCloseReject | ( | const H245_RequestChannelCloseReject & | pdu | ) | `[virtual]`

virtual PBoolean H245NegLogicalChannel::HandleRequestCloseRelease | ( | const H245_RequestChannelCloseRelease & | pdu | ) | `[virtual]`

virtual void H245NegLogicalChannel::HandleTimeout | ( |  | ) | `[virtual]`

Reimplemented from H245Negotiator.

bool H245NegLogicalChannel::IsAwaitingEstablishment | ( |  | ) | const`[inline]`

bool H245NegLogicalChannel::IsEstablished | ( |  | ) | const`[inline]`

virtual PBoolean H245NegLogicalChannel::Open | ( | const H323Capability & | capability,
|  | unsigned | sessionID,
|  | unsigned | replacementFor = `0` |
| ) |  |  | `[virtual]`

virtual void H245NegLogicalChannel::Release | ( |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

friend class H245NegLogicalChannels `[friend]`

## Field Documentation

H323Channel* H245NegLogicalChannel::channel `[protected]`

H323ChannelNumber H245NegLogicalChannel::channelNumber `[protected]`

enum H245NegLogicalChannel::States H245NegLogicalChannel::state `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h